-keep class com.zhidao.thirdlogin.*{*;}
-keep class com.zhidao.cosupload.*{*;}
-keep class com.zhidao.ptech.*{*;}
-keep class com.zhidao.utils.*{*;}
-keep class com.elegant.**{*;}
-keep class com.mogo.utils.*{*;}
-keep class com.hw.videoprocessor.*{*;}
-keep class net.surina.soundtouch.*{*;}
-keep class com.tencent.**{*;}
-keep class org.apache.commons.codec.*{*;}
-keep class com.zhidao.account.sdk.*{*;}

#-----Netty-----
-keepattributes Signature,InnerClasses
-keep class io.netty.** {*;}
-keep class org.apache.** {*;}
-keep class org.apache.logging.**{*;}
-keepclasseswithmembers class io.netty.** {*;}
-keepclasseswithmembers class org.apache.logging.**{*;}
-keep class org.apache.http.**{*;}
-dontwarn io.netty.**
-dontwarn sun.**

#-----ProtoBuf-----
-keep class com.google.protobuf.** {*;}

#-----Gson-----
-dontwarn sun.misc.**
# Application classes that will be serialized/deserialized over Gson
-keep class com.google.gson.examples.android.model.** { <fields>; }
# Prevent proguard from stripping interface information from TypeAdapter, TypeAdapterFactory,
# JsonSerializer, JsonDeserializer instances (so they can be used in @JsonAdapter)
-keep class * extends com.google.gson.TypeAdapter
-keep class * implements com.google.gson.TypeAdapterFactory
-keep class * implements com.google.gson.JsonSerializer
-keep class * implements com.google.gson.JsonDeserializer
# Prevent R8 from leaving Data object members always null
-keepclassmembers,allowobfuscation class * {
  @com.google.gson.annotations.SerializedName <fields>;
}
